struct Movie : Codable {
    let actors : [String]?
    let description : String?
    let director : String?
    let name : String?
    let genre : String?
    let poster : String?
    let ratings : String?
    let release_date : String?
    let released : Bool?
    let screening_dates : [Screening_dates]?
    
    enum CodingKeys: String, CodingKey {
        
        case actors = "actors"
        case description = "description"
        case director = "director"
        case genre = "genre"
        case name = "name"
        case poster = "poster"
        case ratings = "ratings"
        case release_date = "release_date"
        case released = "released"
        case screening_dates = "screening_dates"
    }
//
//    init(from decoder: Decoder) throws {
//        let values = try decoder.container(keyedBy: CodingKeys.self)
//        actors = try values.decodeIfPresent([String].self, forKey: .actors)
//        description = try values.decodeIfPresent(String.self, forKey: .description)
//        director = try values.decodeIfPresent(String.self, forKey: .director)
//        name = try values.decodeIfPresent(String.self, forKey: .name)
//        poster = try values.decodeIfPresent(String.self, forKey: .poster)
//        ratings = try values.decodeIfPresent(String.self, forKey: .ratings)
//        release_date = try values.decodeIfPresent(String.self, forKey: .release_date)
//        released = try values.decodeIfPresent(Bool.self, forKey: .released)
//        screening_dates = try values.decodeIfPresent([Screening_dates].self, forKey: .screening_dates)
//    }
    
}
